<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */

/**
 * Koongo order - source for dropdown menu "Order Increment Id Format"
 *
 * @category   Koongoorderapi
 * @package    Nostress_Koongoorderapi
 * @author     NoStress Commerce
 */

class Nostress_Koongoorderapi_Model_Config_Source_Incrementidformat
{	
    const DEFAULT_ID = "default";
    const CHANNEL_MARKETPLACE_ORDER_ID = "chan-markt-ord";	

    public function toOptionArray()
    {     
        $options = array();           
        $options[] =  array("value"=> self::CHANNEL_MARKETPLACE_ORDER_ID, "label" => Mage::helper('koongoorderapi')->__('{{channel_code}}-{{marketplace_code}}-{{channel_order_id}}'));
        $options[] = array("value"=> self::DEFAULT_ID, "label" => Mage::helper('koongoorderapi')->__('Default Magento Order Increment Id'));                    
        return $options;
    }
}
?>