<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */

/**
 * Class for order management
 *
 * @category   Mage
 * @package    Mage_Sales
 * @author     Magento Core Team <core@magentocommerce.com>
 */
class Nostress_Koongoorderapi_Model_Order extends Nostress_Koongoorderapi_Model_Abstract
{    
    /**
     * Current store.
     */
    protected $_store;


    public function createOrder($orderData)
    {        
        /** @var Mage_Sales_Model_Quote $quote */
        $quote = Mage::getModel('sales/quote')->setStoreId($this->getStore()->getId());

        
    }

    protected function _setStore($store)
    {
        if(is_numeric($store))
            $this->_store = Mage::app()->getStore($store);
        else
            $this->_store = $store;
    }

    protected function _getStore()
    {
        return $this->_store;
    }

    protected function _getStoreId()
    {
        return $this->getStore()->getStoreId();
    }

    protected function _getWebsiteId()
    {
        return $this->getStore()->getWebsiteId();
    }

}
