<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */ 

/** 
* Sql instalation skript
* 
* @category Nostress 
* @package Nostress_Koongoorderapi
* 
*/

/** @var $installer Mage_Sales_Model_Mysql4_Setup */
$installer = $this;

$installer->startSetup();

$installer->run("

CREATE TABLE IF NOT EXISTS {$this->getTable('nostress_koongoorderapi_webhook_event')} (
	`entity_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
    `topic` varchar(40) DEFAULT NULL,
    `webhook_id` int(11) unsigned NOT NULL,
    `order_id` int(10) unsigned NOT NULL,
    `params` text NULL,
    `status` varchar(40) DEFAULT NULL,
    `message` varchar(255) DEFAULT NULL,
    `parent_event_id` int(11) unsigned DEFAULT NULL,
    `duplicity_counter` int(4) unsigned DEFAULT 0, 
    `created_at` datetime DEFAULT NULL,
    `updated_at` datetime DEFAULT NULL,
	PRIMARY KEY (`entity_id`)
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;
");
 
$installer->endSetup();
	 